Bug 40785 - Update npapi.h for recent upstream changes
: Update npapi.h for recent upstream changes
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Plug-ins
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To: Nobody
:
Depends on:
Blocks: 77200
  Show dependency treegraph
 
Reported: 2010-06-17 09:35 PDT by Stuart Morgan
Modified: 2012-04-22 22:31 PDT (History)
8 users (show)

See Also:


Attachments
Pull changes with respect to MOZ_X11 guard from official npapi-sdk (6.19 KB, patch)
2012-04-16 00:34 PDT, Sriram Neelakandan
tkent: review-
Details | Formatted Diff | Diff
previous patch updated to ToT (6.44 KB, patch)
2012-04-20 00:49 PDT, Sriram Neelakandan
sriram.neelakandan: review+
Details | Formatted Diff | Diff
updated patch with reason for why No New Tests (6.54 KB, patch)
2012-04-20 03:11 PDT, Sriram Neelakandan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stuart Morgan 2010-06-17 09:35:45 PDT
Since I did the bulk of the sync of npapi.h in bug 38666, the upstream copy has changed for recently added specs (invalidating CA, advanced key handling). Since these involve changes that affect the function pointer table, syncing the header will require making sure that the plugin hosting code is updated to populate the function table correctly (or at least is passing an older version number).

This would probably also be a good time to sync WebCore/plugins/npfunctions.h with the upstream npfunctions.h, although I'm still working on getting the upstream version slimmed down to the point where it can be easily used outside of Gecko.
Comment 1 Anders Carlsson 2012-01-27 10:22:32 PST
Sounds good to me!
Comment 2 Sriram Neelakandan 2012-04-16 00:34:00 PDT
Created attachment 137294 [details]
Pull changes with respect to MOZ_X11 guard from official npapi-sdk

This patch pulls in changes with respect to MOZ_X11 guard
The changes are from r14@http://code.google.com/p/npapi-sdk/ 

may want to refer to discussion @ https://bugs.webkit.org/show_bug.cgi?id=18638; Comment 7 and above

Also there are some changes to Makefile systems (.pri, .am and .cmake) files to ensure MOZ_X11 is passed along as required
Comment 3 Kent Tamura 2012-04-19 18:02:43 PDT
Comment on attachment 137294 [details]
Pull changes with respect to MOZ_X11 guard from official npapi-sdk

The patch wasn't applied to WebKit ToT.  Please update the patch.
Comment 4 Sriram Neelakandan 2012-04-20 00:49:38 PDT
Created attachment 138057 [details]
previous patch updated to ToT

updated patch attached
Comment 5 WebKit Review Bot 2012-04-20 00:52:34 PDT
Attachment 138057 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'ChangeLog', u'GNUmakefile.am', u'Source/We..." exit_code: 1
Source/WebCore/ChangeLog:10:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
Total errors found: 1 in 11 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 6 Sriram Neelakandan 2012-04-20 03:11:53 PDT
Created attachment 138064 [details]
updated patch with reason for why No New Tests

New Tests are not required. No functionality change. Only updating NPAPI header file with MOZ_X11 gaurd flag.
However, if MOZ_X11 is not passed, where required (assuming most ports are building with NPAPI enabled) build would break and EWS must catch it.
Comment 7 Sriram Neelakandan 2012-04-22 21:32:23 PDT
Please, 
Its all green now ! 
Can someone r+ and land this..before this gets outdated again ?
Comment 8 WebKit Review Bot 2012-04-22 22:30:57 PDT
Comment on attachment 138064 [details]
updated patch with reason for why No New Tests

Clearing flags on attachment: 138064

Committed r114869: <http://trac.webkit.org/changeset/114869>
Comment 9 WebKit Review Bot 2012-04-22 22:31:02 PDT
All reviewed patches have been landed.  Closing bug.